import { jsx } from "react/jsx-runtime";
import { CurrencyGbp as CurrencyGbp$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CurrencyGbp = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CurrencyGbp", ...props, children: /* @__PURE__ */ jsx(CurrencyGbp$1, { weight: variant }) });
  }
);
CurrencyGbp.displayName = "CurrencyGbp";
Object.assign(CurrencyGbp, { isGdsIcon: true });
export {
  CurrencyGbp
};
